<!DOCTYPE html>
<!--
AA 2018-2019
Introduction to Web Programming
Progetto IPW
UniTN
-->
<!DOCTYPE html>
<html>
    <head>
        <title>Login Farmacia</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    </head>
    <body onload="getRicordami()">
        <script> 
        function getRicordami() {
            var id = localStorage.getItem("id_farm");
            var psw = localStorage.getItem("psw_farm");
            if (id!==null && psw !==null) {  
                document.getElementById("id").setAttribute("value", id);
                document.getElementById("password").setAttribute("value", psw);
                document.getElementById("rememberMe").setAttribute("checked", true);
            }
        }
        function setRicordami() {
            if (document.getElementById("rememberMe").checked) {
                localStorage.setItem("id_farm", id.value);
                localStorage.setItem("psw_farm", password.value);
            }else{
                localStorage.removeItem("id_farm");
                localStorage.removeItem("psw_farm");
            }
        }
        function validateForm() {
            var id = document.forms["form_richiamo"]["id"];
            var password = document.forms["form_richiamo"]["password"];
           
            if (id.value == ""){ 
                window.alert("Inserisci un id!"); 
                id.focus(); 
                return false; 
            } 
                
            if (password.value == "" ){ 
                    window.alert("Inserisci una password!");
                    password.focus();
                    return false; 
                } 
            setRicordami();
            return true;
        }
        </script>
        <form class="form-signin" action="login.handler" method="POST" onsubmit="return validateForm()" name="form_richiamo" >
              <div class="text-center mb-4">
                <h3 class="h3 mb-3 font-weight-normal">Login Farmacia</h3>
                <p>Devi fare il login per poter accedere alle funzioni [...]</p>
            </div>
            <div class="form-label-group">
                <input type="text" id="id" name="id" class="form-control" placeholder="Codice Identificativo" required autofocus>
                <label for="id">Codice Identificativo</label>
            </div>
            <div class="form-label-group">
                <input type="password" id="password" name="password" class="form-control" placeholder="Password" required>
                <label for="password">Password</label><br>
                <a href="forgotpsw.jsp">Password dimenticata?</a>
            </div>
            <div class="checkbox mb-3">
                <label>
                    <input type="checkbox" id="rememberMe" name="rememberMe" value="true"> Remember me
                </label>
            </div>
            <button class="btn btn-lg btn-primary btn-block" type="submit">Sign in</button>
        </form>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
    </body>
</html>